Name:           python-cryptography-vectors
Version:        45.0.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Test vectors for the cryptography package.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pyca/cryptography
Source:         %{pypi_source cryptography_vectors}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cryptography-vectors' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cryptography-vectors
Summary:        %{summary}

%description -n python3-cryptography-vectors %_description


%prep
%autosetup -p1 -n cryptography_vectors-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cryptography-vectors -f %{pyproject_files}


%changelog
%autochangelog